Package com.xebialabs.xlrelease.domain.distributed.events

# Class DistributedUnsubscribeSSEEvent

java.lang.Object
com.xebialabs.xlrelease.domain.distributed.events.DistributedUnsubscribeSSEEvent

All Implemented Interfaces:
  `DistributedSSEEvent`, `DistributedXLReleaseEvent`, `XLReleaseEvent`, `Serializable`, `scala.Equals`, `scala.Product`

public class DistributedUnsubscribeSSEEvent extends Object implements DistributedSSEEvent, scala.Product, Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DistributedUnsubscribeSSEEvent(String topic, String user)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DistributedUnsubscribeSSEEvent`
  `apply(String topic, String user)`
  `boolean`
  `canEqual(Object x$1)`
  `DistributedUnsubscribeSSEEvent`
  `copy(String topic, String user)`
  `String`
  `copy$default$1()`
  `String`
  `copy$default$2()`
  `boolean`
  `equals(Object x$1)`
  `int`
  `hashCode()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `Date`
  `timestamp()`
  `String`
  `topic()`
  `String`
  `toString()`
  `static scala.Option<scala.Tuple2<String,String>>`
  `unapply(DistributedUnsubscribeSSEEvent x$0)`
  `String`
  `user()`
  `String`
  `username()`
  `void`
  `username_$eq(String x$1)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

- ## Constructor Details

  - ### DistributedUnsubscribeSSEEvent

    public DistributedUnsubscribeSSEEvent(String topic, String user)

- ## Method Details

  - ### apply

    public static DistributedUnsubscribeSSEEvent apply(String topic, String user)

  - ### unapply

    public static scala.Option<scala.Tuple2<String,String>> unapply(DistributedUnsubscribeSSEEvent x$0)

  - ### username

    public String username()
    Specified by:
      `username` in interface `XLReleaseEvent`

  - ### username_$eq

    public void username_$eq(String x$1)
    Specified by:
      `username_$eq` in interface `XLReleaseEvent`

  - ### timestamp

    public Date timestamp()
    Specified by:
      `timestamp` in interface `XLReleaseEvent`

  - ### topic

    public String topic()

  - ### user

    public String user()

  - ### copy

    public DistributedUnsubscribeSSEEvent copy(String topic, String user)

  - ### copy$default$1

    public String copy$default$1()

  - ### copy$default$2

    public String copy$default$2()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`